POST
/integration/v1/progress
Create progress
Create progress
operationId Create progress
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
course_id
|
string | required | Course id |
user
|
string | required | Student email or employee id or kc id |
start_datetime
|
string (date) | required | Start date time |
progress
|
integer | optional | Progress |
is_new_attempt
|
boolean | optional | Is new attempt |
archive_existing_progress
|
boolean | optional | Archive existing progress |
passed
|
boolean | optional | Is passed |
watch_all_datetime
|
string (date) | optional | Watch all date time |
last_activity_datetime
|
string (date) | optional | Last activity date time |
score_datetime
|
string (date) | optional | Score date time |
score
|
integer | optional | Score |
total_duration
|
integer | optional | Total duration |
spent_time
|
integer | optional | Spent time |
certificate_url
|
string (url) | optional | Certificate url |
Responses
200
application/json schema
{
"type": "string",
"description": "Progress data",
"required": true,
"nullable": true
}
412 Invalid parameters
500 Server error
512 Specification violations